.cookie-modal
{
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  background-color: rgba(0, 0, 0, 0.5);
  display: flex;
  justify-content: space-around;
  align-items: center;
  z-index: 999;
}

.cookie-box
{
  position: relative;
  border: 1px solid grey;
  background-color: white;
  padding: 30px;
}

.cookie-checkbox
{
  width: 100%;
  box-sizing: border-box;
  padding: 2px 10px 2px 30px;
  position: relative;
  line-height: 30px;
  border: 1px solid lightgray;
  margin-bottom: 10px;
  cursor: pointer;
}

.cookie-checkbox::before
{
  content: '';
  display: inline-block;
  position: absolute;
  top: 0;
  left: 0;
  border: 1px solid grey;
  width: 20px;
  height: 20px;
  transform: translate(5px, 5px);
  border-radius: 50%;
}

.cookie-checkbox.checked::after
{
  content: '';
  display: inline-block;
  position: absolute;
  top: 0;
  left: 0;
  background-color: grey;
  width: 8px;
  height: 8px;
  border-radius: 50%;
  transform: translate(11px, 11px);
}

.cookie-button
{
  border: none;
  background-color: #74819c;
  padding: 5px;
  width: 100%;
  color: white;
}
